cURL
curl --request GET \
--url https://api.steamgold.dev/v1/pouch/{pouchId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.steamgold.dev/v1/pouch/{pouchId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.steamgold.dev/v1/pouch/{pouchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"pouchStatus": "open",
"intents": [
{
"intentId": "5f4d3fc4a1f6c80017e7b7d2",
"verification": "verified",
"deliveryStatus": "created",
"deliveryId": "delivery_12345",
"intentAmount": 500,
"intentCurrency": "RUB",
"paymentAmount": 500,
"treasure": {
"type": "gold",
"platform": "steam",
"item": "1000_gold_coins",
"title": "1000 золотых монет"
}
}
],
"paymentStatus": "created",
"paymentAmount": 1000,
"paymentCurrency": "RUB"
}{
"code": 123,
"message": "<string>"
}API корзины
Получение корзины
Возвращает детальную информацию о корзине и содержащихся в ней намерениях
GET
/
pouch
/
{pouchId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID корзины
Response
Информация о корзине
Example:
200
Статус корзины
Available options:
open, closed, delivered, failed Example:
"open"
Список намерений в корзине
Show child attributes
Show child attributes
Статус оплаты корзины
Available options:
created, pending, paid, rejected, canceled, refunded, expired Example:
"created"
Сумма к оплате
Example:
1000
Валюта оплаты
Example:
"RUB"
⌘I